%define _requires_exceptions devel\(libnoatunarts\)\\|libnoatunarts.so\\|devel\(libnoatunarts\(.*\)\\|libwinskinvis.so\\|libartseffects.so\\|libmpeg-0.3.0.so\\|libyafcore.so\\|libyafxplayer.so\\|devel\(libartsbuilder\)

%define __libtoolize    /bin/true

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

Name:		kdemultimedia
Summary:	K Desktop Environment - Multimedia
Version: 3.5.7
Release: %mkrel 9
Epoch: 1
Group:	Graphical desktop/KDE
License:	GPL
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Source2: kdemultimedia-3.3.2-add-multimedia-shortcuts-jukrc
Patch0:	 kdemultimedia-3.3.0-fix-dont-start-visible.patch
Patch2:	 kdemultimedia-3.4.0-activate-kscd-numeric-acces.patch
Patch3:  kdemultimedia-post-3.5.7-fix-invalid-desktopfile.patch
Patch4:  kdemultimedia-post-3.5.7-fix-bko126032.patch
Patch5:  kdemultimedia-post-3.5.7-fix-ppc-support.patch
Patch6:  kdemultimedia-post-3.5.7-fix-bko131238.patch
Patch7:  kdemultimedia-post-3.5.7-fix-categories.patch
Patch8:  kdemultimedia-post-3.5.7-fix-ripping-audio.patch
Patch9:  kdemultimedia-post-3.5.7-fix-bko134312.patch
Patch10: kdemultimedia-post-3.5.7-fix-memleak.patch
Patch11: kdemultimedia-post-3.5.7-fix-qtedit-property.patch

BuildRequires: cdparanoia 
BuildRequires: musicbrainz-devel
BuildRequires: mad-devel 
BuildRequires: oggvorbis-devel
BuildRequires: libxine-devel 
BuildRequires: libtaglib-devel >= 0.96 
BuildRequires: libflac++-devel
BuildRequires: libtunepimp-devel 
BuildRequires: libtheora-devel
BuildRequires:	libcdda-devel
BuildRequires: libflac++-devel
BuildRequires: liboggflac++-devel
BuildRequires: libspeex-devel
BuildRequires: libsamplerate-devel
BuildRequires: X11-devel
BuildRequires: qt3-devel
BuildRequires: kdelibs-devel
BuildRequires:	akode-devel
BuildRequires:  libfreebob-devel
BuildRoot:	%_tmppath/%name-%version-%release-root
Conflicts: %{mklibname kdemultimedia 1}-noatun <= %epoch:3.2-14mdk
# Don't add kdemultimedia-arts package on meta provides
# This package have offensive mcop files and is usefull just
# if you want develop new synthesizer objects with artsbuilder 
Requires: kdemultimedia-common = %epoch:%version-%release
Requires: kdemultimedia-kmix = %epoch:%version-%release
Requires: kdemultimedia-kmid = %epoch:%version-%release
Requires: kdemultimedia-kaudiocreator = %epoch:%version-%release
Requires: kdemultimedia-kscd = %epoch:%version-%release
Requires: kdemultimedia-kaboodle = %epoch:%version-%release
Suggests: kdemultimedia-noatun = %epoch:%version-%release

%description
Multimedia tools for the K Desktop Environment.
	- noatun: a multimedia player for sound and movies, very extensible due 
			  to it's plugin interface
	- kaudiocreator: CD ripper and audio encoder frontend.
	- kaboodle: light media player
	- kmid: A standalone and embeddable midi player, includes a karaoke-mode
	- kmix: the audio mixer as a standalone program and Kicker applet
	- kscd: A CD player with an interface to the internet CDDB database
	- krec: A recording frontend using aRts

%files

#-------------------------------------------------------------------------

%package common
Summary:	Common files for kdemultimedia
Group:		Graphical desktop/KDE
Requires:	%lib_name-common = %epoch:%version-%release
Requires:	arts, vorbis-tools
Obsoletes:	kdemultimedia3
Provides:	kdemultimedia3
Obsoletes:	kdemultimedia-aktion
Conflicts:	%{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: kde-config-file

%description common
Common files for kdemultimedia

%post common 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun common 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}

%files common
%defattr(-,root,root)
%doc %_docdir/HTML/en/kioslave/audiocd.docbook
%_bindir/yaf-cdda
%_bindir/yaf-mpgplay
%_bindir/yaf-splay
%_bindir/yaf-tplay
%_bindir/yaf-vorbis
%_bindir/yaf-yuv
%_libdir/kde3/kfile_*.la
%_libdir/kde3/kfile_*.so
%_libdir/kde3/kcm_audiocd.*
%_libdir/kde3/kio_audiocd.*
%_datadir/apps/konqueror/servicemenus/audiocd_play.desktop
%_datadir/apps/konqueror/servicemenus/audiocd_extract.desktop
%_datadir/desktop-directories/kde-multimedia-music.directory
%_datadir/apps/kconf_update/audiocd.upd
%_datadir/apps/kconf_update/upgrade-metadata.sh
%_datadir/applications/kde/audiocd.desktop
%_iconsdir/*/*/*/arts*
%dir %_datadir/apps/videothumbnail/
%_datadir/apps/videothumbnail/*
%_datadir/services/audiocd.protocol
%_datadir/services/kfile_*
%_libdir/kde3/videothumbnail.*
%_libdir/kde3/libaudiocd_*
%_datadir/apps/kappfinder/apps/Multimedia/*.desktop
%_datadir/services/videothumbnail.desktop
%_datadir/config.kcfg/audiocd_lame_encoder.kcfg
%_datadir/config.kcfg/audiocd_vorbis_encoder.kcfg

#-------------------------------------------------------------------------

%package -n %lib_name-common-devel
Summary:	Header files for kdemultimedia
Group:		Development/KDE and Qt
Requires:		%lib_name-common = %epoch:%version-%release

Obsoletes:  kdemultimedia3-devel
Provides:   kdemultimedia3-devel

Obsoletes:  kdemultimedia-devel
Provides:   kdemultimedia-devel = %epoch:%version-%release

Obsoletes:  %lib_name-devel
Provides:   %lib_name-devel = %epoch:%version-%release
Provides:	%lib_name_orig-common-devel = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= %epoch:3.4.2-10mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= %epoch:3.2-14mdk

%description -n %lib_name-common-devel
Header files needed for developing kdemultimedia applications.

%files -n %lib_name-common-devel
%defattr(-,root,root,-)
%_includedir/*
%_libdir/libaudiocdplugins.so
%_libdir/libmpeg.so
%_libdir/libkcddb.so
%_libdir/libkmidlib.so
%_libdir/libmpeg-0.3.0.so
%_libdir/libyafxplayer.so
%_libdir/libyafcore.so
%_libdir/libmpeg.la
%_libdir/libyafcore.la
%_libdir/libyafxplayer.la
%_libdir/libarts_*.so
%exclude %_includedir/noatun
%exclude %_includedir/arts

#-------------------------------------------------------------------------

%package -n %lib_name-common
Summary:	Libraries files for kdemultimedia
Group:         Graphical desktop/KDE
Obsoletes: %lib_name
Provides: %lib_name = %epoch:%version-%release
Provides: %lib_name_orig-common = %epoch:%version-%release
Conflicts: kdemultimedia <= 3.1-10mdk
Conflicts: %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts: kdemultimedia-common < %epoch:3.5.3-8mdv2007.0

%description -n %lib_name-common
Libraries files needed for developing kdemultimedia applications.

%post -n %lib_name-common -p /sbin/ldconfig
%postun -n %lib_name-common -p  /sbin/ldconfig

%files -n %lib_name-common
%defattr(-,root,root,-)
%_libdir/libkmidlib.la
%_libdir/libkmidlib.so.*
%_libdir/libkcddb.la
%_libdir/libkcddb.so.*
%_libdir/libaudiocdplugins.la
%_libdir/libaudiocdplugins.so.*
%_libdir/mcop/xine*
%_libdir/libarts_xine.so.*
%_libdir/libarts_xine.la
%_libdir/mcop/akode*
%_libdir/libarts_akode.so.*
%_libdir/libarts_akode.la
%_libdir/mcop/audiofile*
%_libdir/libarts_audiofile.so.*
%_libdir/libarts_audiofile.la
%_bindir/mpeglibartsplay
%_libdir/libarts_mpeglib*.so.*
%_libdir/libarts_mpeglib*.la
%_libdir/libarts_splay.so.*
%_libdir/libarts_splay.la
%_libdir/mcop/CDDAPlayObject.mcopclass
%_libdir/mcop/MP3PlayObject.mcopclass
%_libdir/mcop/NULLPlayObject.mcopclass
%_libdir/mcop/OGGPlayObject.mcopclass
%_libdir/mcop/SplayPlayObject.mcopclass
%_libdir/mcop/WAVPlayObject.mcopclass

#-------------------------------------------------------------------------

%package juk
Summary:       JuK is a jukebox and music manager for the KDE desktop.
Group:         Graphical desktop/KDE
Requires:      kdemultimedia-common = %epoch:%version-%release
Provides:	juk
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description juk
JuK is a jukebox and music manager for the KDE desktop similar to 
jukebox software on other platforms such as iTunes or RealOne. 
Its features include support for Ogg Vorbis and MP3 formats, 
tag editing support for both formats (including ID3v2 for MP3 files), 
output to aRts or GStreamer, multiple playlists, and lots of other 
groovy stuff.

%post  juk 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun  juk 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files juk
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/juk
%_bindir/juk
%_datadir/applications/kde/juk.desktop
%_iconsdir/*/*/*/juk*
%config(noreplace) %_datadir/config/jukrc
%dir %_datadir/apps/juk
%_datadir/apps/juk/*
%_datadir/apps/konqueror/servicemenus/jukservicemenu.desktop

#-------------------------------------------------------------------------

%package kmix
Summary:       kmix, kmixctrl program
Group:         Graphical desktop/KDE
Provides:	kmix, kmixctrl
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts
Requires:	 alsa-utils
Obsoletes:	%lib_name-kmix

%description kmix
The audio mixer as a standalone program and Kicker applet

%post kmix 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun  kmix 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor


%files kmix
%defattr(-,root,root,-)
%_bindir/kmix
%_bindir/kmixctrl
%doc %_docdir/HTML/en/kmix
%_libdir/kde3/kmix*.so
%_libdir/kde3/kmix*.la
%_datadir/autostart/restore_kmix_volumes.desktop
%_iconsdir/*/*/*/kmix*
%_datadir/services/kmixctrl_restore.desktop
%_datadir/applications/kde/kmix.desktop
%dir %_datadir/apps/kmix/
%_datadir/apps/kmix/*
%_datadir/apps/kicker/applets/kmixapplet.desktop
%_libdir/libkdeinit_kmix.*
%_libdir/libkdeinit_kmixctrl.*

#-------------------------------------------------------------------------

%package krec
Summary:       krec program
Group:         Graphical desktop/KDE
Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:      kdemultimedia <= 3.1-10mdk
Provides:	krec
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Obsoletes: %lib_name-krec

%description krec
A recording frontend using aRts

%post  krec 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun  krec 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files krec
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/krec
%_bindir/krec
%dir %_datadir/apps/krec/
%_datadir/apps/krec/*
%_datadir/applications/kde/krec.desktop
%_iconsdir/*/*/*/krec.*
%_libdir/kde3/kcm_krec_files.*
%_libdir/kde3/krec.*
%_libdir/kde3/kcm_krec.*
%_libdir/kde3/libkrecexport_*
%_libdir/libkdeinit_krec.*
%_datadir/services/krec_*
%_datadir/services/kcm_krec*
%_datadir/servicetypes/krec_*

#-------------------------------------------------------------------------

%package kscd
Summary:       kscd program
Group:         Graphical desktop/KDE

Provides:	kscd
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: %lib_name-kscd
Obsoletes: %lib_name-kscd-devel

%description kscd
A CD player with an interface to the internet CDDB database

%post  kscd 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun  kscd 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kscd
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kscd
%_bindir/kscd
%_bindir/workman2cddb.pl
%_iconsdir/*/*/*/kscd*
%_datadir/config.kcfg/kscd.kcfg
%_datadir/config.kcfg/libkcddb.kcfg
%_datadir/applications/kde/libkcddb.desktop
%_datadir/applications/kde/kscd.desktop
%dir %_datadir/apps/kscd/
%_datadir/apps/kscd/*
%_datadir/apps/profiles/kscd.profile.xml
%_datadir/apps/kconf_update/kcmcddb-emailsettings.upd
%_libdir/kde3/kcm_cddb.*
%_datadir/mimelnk/text/xmcd.desktop

#-------------------------------------------------------------------------

%package kmid
Summary:       kmid program
Group:         Graphical desktop/KDE
Provides: kmid
Provides: kmidi
Provides: kdemultimedia-kmidi = %epoch:%version-%release
Conflicts:      kdemultimedia <= 3.1-10mdk
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: kdemultimedia-kmidi < %epoch:3.5.3-5mdv2007.0

%description kmid
Kmid program

%post  kmid 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun  kmid 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kmid
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kmid
%_bindir/kmid
%_iconsdir/*/*/*/kmid.*
%_libdir/kde3/libkmidpart.*
%dir %_datadir/apps/kmid/
%_datadir/apps/kmid/*
%_datadir/mimelnk/audio/x-karaoke.desktop
%_datadir/servicetypes/audiomidi.desktop
%_datadir/applications/kde/kmid.desktop

#-------------------------------------------------------------------------

%package kaudiocreator
Summary:       kaudiocreator program
Group:         Graphical desktop/KDE
Conflicts:      kdemultimedia <= 3.1-10mdk
Provides:	kaudiocreator
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts
Requires:	%lib_name-common = %epoch:%version-%release
Requires:	kdemultimedia-common = %epoch:%version-%release
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description kaudiocreator
CD ripper and audio encoder frontend.

%post  kaudiocreator 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun  kaudiocreator 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kaudiocreator
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kaudiocreator
%_bindir/kaudiocreator
%_datadir/applications/kde/kaudiocreator.desktop
%dir %_datadir/apps/kaudiocreator/
%_datadir/apps/kaudiocreator/*
%_iconsdir/*/*/*/kaudiocreator*
%_datadir/apps/kconf_update/kaudiocreator-libkcddb.upd
%_datadir/config.kcfg/kaudiocreator.kcfg
%_datadir/config.kcfg/kaudiocreator_encoders.kcfg
%_datadir/apps/kconf_update/kaudiocreator-meta.upd
%_datadir/apps/kconf_update/upgrade-kaudiocreator-metadata.sh

#-------------------------------------------------------------------------

%package kaboodle
Summary: kaboodle program
Group: Graphical desktop/KDE
Provides: kaboodle
Conflicts: kdemultimedia <= 3.1-10mdk
Conflicts: %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts: %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires: arts
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: %lib_name-kaboodle

%description kaboodle
Light media player

%post  kaboodle 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun  kaboodle 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files kaboodle
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kaboodle
%_bindir/kaboodle
%_datadir/services/kaboodle*
%_datadir/applications/kde/kaboodle.desktop
%_iconsdir/*/*/*/kaboodle*
%_libdir/kde3/libkaboodlepart.*
%dir %_datadir/apps/kaboodle/
%_datadir/apps/kaboodle/*

#-------------------------------------------------------------------------

%package arts
Summary: arts synth control programs
Group: Graphical desktop/KDE
Requires: %lib_name-arts = %epoch:%version-%release
Requires: %lib_name-common = %epoch:%version-%release
Conflicts: %lib_name-common < %epoch:3.5.3-7mdv2007.0

%description arts
A synthesizer control programs

%post  arts 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun  arts 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files arts
%defattr(-,root,root,-)
%_bindir/artsbuilder
%_bindir/artscontrol
%_bindir/midisend
%dir %_datadir/apps/artsbuilder
%_datadir/apps/artsbuilder/*
%dir %_datadir/apps/artscontrol
%_datadir/apps/artscontrol/*
%doc %_docdir/HTML/en/artsbuilder
%_datadir/apps/kicker/applets/artscontrolapplet.desktop
%_datadir/mimelnk/application/x-artsbuilder.desktop
%_datadir/applications/kde/artsbuilder.desktop
%_datadir/applications/kde/artscontrol.desktop
%dir %_libdir/mcop/Arts
%_libdir/mcop/Arts/*

#-------------------------------------------------------------------------

%package -n %lib_name-arts
Summary: Library for arts program
Group: Development/KDE and Qt
Conflicts: %lib_name-common < %{epoch}:3.5.3-5mdv2007.0

%description -n %lib_name-arts
Library for arts program

%post -n %lib_name-arts -p /sbin/ldconfig
%postun -n %lib_name-arts -p  /sbin/ldconfig

%files -n %lib_name-arts
%defattr(-,root,root,-)
%_libdir/mcop/artsmodulescommon.*
%_libdir/mcop/artsbuilder.*
%_libdir/mcop/artsmodules.*
%_libdir/mcop/artsmodulesmixers.*
%_libdir/mcop/artsmodulessynth.*
%_libdir/mcop/artsmoduleseffects.*
%_libdir/mcop/artsmidi.*
%_libdir/mcop/artsgui.*
%_libdir/libartsbuilder.la
%_libdir/libartsbuilder.so.*
%_libdir/libartscontrolapplet.la
%_libdir/libartscontrolapplet.so.*
%_libdir/libartscontrolsupport.la
%_libdir/libartscontrolsupport.so.*
%_libdir/libartsgui_idl.la
%_libdir/libartsgui_idl.so.*
%_libdir/libartsgui_kde.la
%_libdir/libartsgui_kde.so.*
%_libdir/libartsgui.la
%_libdir/libartsgui.so.*
%_libdir/libartsmidi_idl.la
%_libdir/libartsmidi_idl.so.*
%_libdir/libartsmidi.la
%_libdir/libartsmidi.so.*
%_libdir/libartsmodulescommon.la
%_libdir/libartsmodulescommon.so.*
%_libdir/libartsmoduleseffects.la
%_libdir/libartsmoduleseffects.so.*
%_libdir/libartsmodules.la
%_libdir/libartsmodulesmixers.la
%_libdir/libartsmodulesmixers.so.*
%_libdir/libartsmodules.so.*
%_libdir/libartsmodulessynth.la
%_libdir/libartsmodulessynth.so.*

#-------------------------------------------------------------------------

%package -n %lib_name-arts-devel
Summary: Devel headers and libraries for arts program
Group: Development/KDE and Qt
Conflicts: %lib_name-common-devel < %epoch:3.5.3-7mdv2007.0
Provides: lib%{name}-arts-devel = %epoch:%version-%release
Provides: %{name}-arts-devel = %epoch:%version-%release
Requires: %lib_name-arts = %epoch:%version-%release

%description -n %lib_name-arts-devel
Devel headers and libraries for arts

%files -n %lib_name-arts-devel
%defattr(-,root,root,-)
%_includedir/arts
%_libdir/libartsbuilder.so
%_libdir/libartscontrolapplet.so
%_libdir/libartscontrolsupport.so
%_libdir/libartsgui_idl.so
%_libdir/libartsgui_kde.so
%_libdir/libartsgui.so
%_libdir/libartsmidi_idl.so
%_libdir/libartsmidi.so
%_libdir/libartseffects.so
%_libdir/libartsmodulescommon.so
%_libdir/libartsmoduleseffects.so
%_libdir/libartsmodules.so
%_libdir/libartsmodulesmixers.so
%_libdir/libartsmodulessynth.so

#-------------------------------------------------------------------------

%package noatun
Summary:       noatun program
Group:         Graphical desktop/KDE
Requires:	%lib_name-noatun = %epoch:%version-%release
Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

Provides:	noatun
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description noatun
A multimedia player for sound and movies, very extensible due to 
it's plugin interface

%post  noatun 
/sbin/ldconfig
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun  noatun 
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files noatun
%defattr(-,root,root,-)
%_bindir/noatun
%doc %_docdir/HTML/en/noatun
%dir %_datadir/apps/noatun
%_datadir/apps/noatun/*
%_libdir/kde3/noatun*.*
%_iconsdir/*/*/*/noatun*
%_datadir/applications/kde/noatun.desktop
%_datadir/mimelnk/interface/x-winamp-skin.desktop
%_datadir/apps/kconf_update/noatun20update
%_datadir/apps/kconf_update/noatun.upd

#-------------------------------------------------------------------------

%package -n %lib_name-noatun
Summary:       Librarie for Noatun  program
Group:         Development/KDE and Qt
Conflicts:		kdemultimedia <= 3.1-10mdk
Provides:	%lib_name_orig-noatun = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Conflicts:  %lib_name-common < %{epoch}:3.5.3-5mdv2007.0

%description -n %lib_name-noatun
Library for noatun program

%post -n %lib_name-noatun -p /sbin/ldconfig
%postun -n %lib_name-noatun -p  /sbin/ldconfig

%files -n %lib_name-noatun
%defattr(-,root,root,-)
%dir %_libdir/mcop/Noatun/
%_libdir/mcop/Noatun/*
%_libdir/mcop/artseffects.mcopclass            
%_libdir/mcop/VoiceRemoval.mcopclass
%_libdir/mcop/artseffects.mcoptype             
%_libdir/mcop/noatunarts.mcopclass  
%_libdir/mcop/winskinvis.mcopclass
%_libdir/mcop/ExtraStereoGuiFactory.mcopclass  
%_libdir/mcop/noatunarts.mcoptype   
%_libdir/mcop/winskinvis.mcoptype
%_libdir/mcop/ExtraStereo.mcopclass            
%_libdir/mcop/RawWriter.mcopclass
%_libdir/kde3/noatun*.so
%_libdir/kde3/noatun.la
%_libdir/libartseffects.la*
%_libdir/libnoatuncontrols.so.*
%_libdir/libnoatuntags.so.*
%_libdir/libnoatunarts.la*
%_libdir/libnoatun.la*
%_libdir/libwinskinvis.la*
%_libdir/libnoatun.so.*
%_libdir/libnoatuncontrols.la*
%_libdir/libnoatuntags.la*
%_libdir/libkdeinit_noatun.la
%_libdir/libkdeinit_noatun.so
%_libdir/libnoatunarts.so

#-------------------------------------------------------------------------

%package -n %lib_name-noatun-devel
Summary:       Devel files for Noatun  program
Group:         Development/KDE and Qt
Requires:	%lib_name-noatun = %epoch:%version-%release
Requires:	%lib_name-arts-devel = %epoch:%version-%release
Provides:	%lib_name_orig-noatun-devel
Provides:	noatun-devel
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description -n %lib_name-noatun-devel
Devel files for noatun program

%files -n %lib_name-noatun-devel
%defattr(-,root,root,-)
%dir %_includedir/noatun/
%_includedir/noatun/*.h
%_libdir/libnoatuncontrols.so
%_libdir/libnoatun.so
%_libdir/libnoatuntags.so
%_libdir/libwinskinvis.so

#-------------------------------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .fix_kmix_start_hide
%patch2 -p1 -b .fix_kscd_numeric_acces
%patch3 -p0 -b .post357
%patch4 -p0 -b .post357
%patch5 -p0 -b .post357
%patch6 -p0 -b .post357
%patch7 -p0 -b .post357_fix_categories
%patch8 -p0 -b .post357
%patch9 -p0 -b .post357
%patch10 -p0 -b .post357
%patch11 -p0 -b .post357

%build
export QTDIR=%_prefix/lib/qt3

%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%endif
	--disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--with-pic \
   --with-akode \
%ifarch %ix86
   --with-alsa \
%endif
    --with-kscd-cdda

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

# David - 2.2-0.beta1.1mdk - Remove some non legal songs
for i in %buildroot/%_datadir/apps/kmidi/*.mid ; do rm -f $i ; done

install -d -m 0775 %buildroot/%_datadir/config/
install -m 0644 %SOURCE2 %buildroot/%_datadir/config/jukrc
%__rm -fr %buildroot%_sysconfdir/xdg/menus/applications-merged/kde-multimedia-music.menu 

%clean
rm -fr %buildroot


%changelog
* Wed Oct 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 3.5.7-9mdv2008.0
+ Revision: 95073
- Do not require noatun, just suggest it

* Thu Sep 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1:3.5.7-8mdv2008.0
+ Revision: 91351
- Rebuilt.

* Wed Sep 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-6mdv2008.0
+ Revision: 90804
- Do not package kde-multimedia-music.menu (Bug #32473)

* Fri Aug 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-5mdv2008.0
+ Revision: 61479
- Add 2 upstream xpatches from BRANCH
- Add some upstream patches from BRANCH
  Add comments on some already existing patches

* Thu Aug 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-4mdv2008.0
+ Revision: 60840
- Fix menu entries
- Add upstream patches from KDE3_5 BRANCH
- Add Patch3: Fix invalid desktop files

* Mon Jun 04 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.7-3mdv2008.0
+ Revision: 34993
- More provides for kdemultimedia-arts-devel

* Wed May 16 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-1mdv2008.0
+ Revision: 27449
- 3.5.7 release


* Wed Mar 21 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-2mdv2007.1
+ Revision: 147391
- Disable this patch
- 3.5.63.5.63.5.6

* Mon Nov 06 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.5-4mdv2007.1
+ Revision: 76996
- Yes, looks like build on chroot is working ! Add missing requires for
  kdelibs-devel ( are strangely kdelibs-common ) and buildrequires for qt3-devel
- Adde missing buildreq X11-devel. Thanks to Anssi Hannula.

  + Laurent Montel <lmontel@mandriva.com>
    - Fix buildrequries
    - Rebuild
    - Add packager tag
    - 3.5.5

* Wed Sep 13 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.4-6mdv2007.0
+ Revision: 61140
- Adde priority change on kscd. Removed audiodevice default ( kscd will base on
  priority guess )

* Fri Sep 08 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-5mdv2007.0
+ Revision: 60456
- New package (2006-09-07 3.5.4-5mdv)
  Fix upgrade 2006->2007

* Thu Sep 07 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.4-4mdv2007.0
+ Revision: 60395
- Fix from upstream to bug http://qa.mandriva.com/show_bug.cgi?id=21221
  Thanks to peroyvind for point this one

* Fri Aug 25 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.4-3mdv2007.0
+ Revision: 57781
- Add last part of kcontrol patch
- Fix last cd-xa patch
- Added defaults patches for kio_audiocd
- kmix fix from kde branch tree
- cd-xa fix from kde branch tree

* Sun Aug 06 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-1mdv2007.0
+ Revision: 53212
- New package (2006/08/05 3.5.4-1mdv)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Updated for latest official kde 3.5.4 release

* Fri Jul 28 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.3-10mdv2007.0
+ Revision: 42303
- Fixed audiofilearts plugin load. Users with libkdemultimedia-common package
  installed will suffer a crash with last package

* Sat Jul 22 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.3-9mdv2007.0
+ Revision: 41896
- The broken mcop interface was moved for new kdemultimedia-arts package. To
  keep compatibility, the packages libkdemultimedia-arts and
  libkdemultimedia-arts-devel was created. The arts output packages, splitted on
  last login was reverted to main common package, since there's no need for this
  specific split.
  The reason why package kdemultimedia-arts with the broken mcop ifaces is still
  enabled comes from the use of arts as a music synthesizer, effects processor,
  but not used frequently by users. Installing this specific package will make
  kde audio notifications crash artsd.
  The kdemultimedia meta package not install kdemultimedia arts package.
  TODO: Remove kdemultimedia-arts functionality ?
- kdemultimedia arts mcop modules are causing major arts crashes, mainly on
  system notification, so the decision to split package was necessary. New packages created:
- kdemutimedia-arts-akode
- kdemutimedia-arts-xine
- kdemutimedia-arts-mpeglib
- kdemutimedia-arts-audiofile
- kdemutimedia-arts
- libkdemultimedia1-arts
  Next path is trace which is the offender mcop library on package kdemultimedia-arts that crashes
  system audio notification ( and recursive crashes on arts ), then disable it and make noatun
  available for meta package kdemultimedia again. Users installing noatun today will
  suffer from arts notification crashes. The problem is upstream and should be
  fixed locally since there are no plans to change arts architecture on last 3.x
  kde releases

* Fri Jul 21 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.3-6mdv2007.0
+ Revision: 41704
- Disable debug
- Use macro
- Add requires(post) to fix upgrade
--enable-new-ldflags doesn't work on x86_64
- Fix setuid
- Allow to build on 2006
- 3.5.3
- Rebuild against new xorg
- Rebuild to add category
- Move xdg menu directory
- Add missing files
- 3.5.2
- 3.5.1
- MDK9.2 is obsolete now
- Fix buildrequires for mdk <=2006
- Add libfreebob-devel as buildrequires
- Sync with kde3.5 branch
- Sync with kde3.5 branch
- Fix buildrequires
- Fix file list
- Use akode to compile kdemultimedia
- Real kde3.5
- 3.5.0
- Fix spec file
- Move libyafcore.so into kdemultimedia-common
  (not sure that it's the good method)
- Fix typo
- 3.4.92
- Remove requires on libnoatunarts.so
- Rebuild
- Fix kscd autostart
- Fix compile under x86_64
- Add direct audio device by default patch from  fundawang
- New sync (kaudiocreator fixes)
- New sync
- Fix kscd crash kde bug #17468
- Remove debug
  Fix diff from 3.4.2 branch
- 3.4.2

  + Helio Chissini de Castro <helio@mandriva.com>
    - Clean and rearrange spec file
    - Added tarball from kde branch as discussed on meeting in 28/06
    - Removed rpath and added configure macro invalidating libtoolize
    - Added strip macro as stated by Nanar ( for unstable builds )
    - Removed unused and invalid patches
    - Standard menu reenabled for now. ( Waiting final changes on new menu )
    - Fixed noatun file list ( thanks neoclust )
    - Obsolete kmidi package and added kpart on kmid package ( timidy not exists
      anymore on kde package )
    - Make remaining patches bunzipped
    - Uploading package ./kdemultimedia

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-7mdk
- Rebuild

* Fri Apr 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-6mdk
- Add missing buildrequires found by Christiaan Welvaart <cjw@daneel.dyndns.org>

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Oops fix exception

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix depend
- Fix requires

* Thu Apr 14 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Add  alsa-utils MDK #11144

* Wed Apr 13 2005 Laurent MONTEL <lmontel@mandriva.com>  3.4.0-2mdk
- Add patch32: fix kscd numeric acces

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0 
- Use --enable-new-ldflags
- Reactivate debug
- Fix exception

* Mon Mar 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-22mdk
- Add patch22: fix build with cdda

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Add patch21: fix audiocd encoder "The quality setting is a double and not integer."

* Thu Mar 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Requires kaudiocreator on kdemultimedia-common MDK #14450

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Add patch20: fix kfile-flac crash

* Fri Feb 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Fix juk : "Restore the playlist time display when stop is pressed."

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Fix kscd config file (multimedia shortcut)
- Add jukrc shortcut file

* Fri Feb 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.3.2-16mdk
- fix build on x86_64

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Add patch26: fix launch kscd with device

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Disable debug

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Fix generated menu entry

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Fix MDK bug "Unknown Protocol 'audiocd'."

* Tue Jan 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Add patch25: fix autostart restore kmix (disable by default as in config)

* Sat Jan 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Add patch24: fix kscd kde bug #92164 (re read shortcut)

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Add patch23: fix juk kde bug #97097

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Rebuild

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add patch22: fix kaudiocreator path

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Add missing buildrequires as requested by Per yvind Karlsen (thanks)

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Add patch21: fix kscd duplicate entry into shortcut

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Add kscdrc to multimedia shortcut

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix missing package

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Tue Nov 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-8mdk
- Fix other arts requires

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-7mdk
- Requires arts

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Bye-bye %%buildfor

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Fix create audiocd menu

* Fri Oct 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Fix other buildrequires

* Sat Oct 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Fix buildrequires

* Wed Oct 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2
- Sync with CVS

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Sat Oct 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-6mdk
- Rebuild with new taglib

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Sync with kde 3.3 branch

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Fix conflict

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Sync with kde 3.3 branch (fix kscd)

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Fix kcddb install menu

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Add patch19: add command line to kscd "kscd --device /dev/hdc" necessary
	for magicdev

* Sat Aug 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Remove debug

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Add patch18: fix kscd change device

* Sat Jul 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Use musicbrain

* Fri Jul 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix dependancy

* Sat Jul 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Fix spec file

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix remove rpath

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Rebuild

* Wed Jun 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch17: fix patch on close
- Sync with CVS

* Sat Jun 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Add missing buildrequires

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-6mdk
- Rebuild

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Fix conflict

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild with debug

* Sat May 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Sync with CVS

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild again qt 3.3.2

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-3mdk
- Fix spec file for using rpmbuildupdate

* Sat Apr 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix conflict reported by Titi

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-15mdk
- Use %%configure
- Use mdkversion

* Mon Mar 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-14mdk
- Fix patch16: don't load volume on statup

